<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">

const props = defineProps<{
    active: boolean,
    class?: string,
    
}>();
</script>
<template>
<button class="w-full min-w-fit px-2 rounded-t-lg h-12 hover:bg-gray-200 cursor-pointer border-b-4 first:rounded-bl-sm last:rounded-br-sm  leading-10 align-middle text-gray-700" :class="[{ 'border-gray-700 bg-gray-100': active },{ 'border-gray-400 ': !active }, props.class]">
    <slot></slot>
</button>
</template>